%define major       2
%define libname     %mklibname mpdclient %{major}
%define develname   %mklibname mpdclient -d

Name:           libmpdclient
Version:        2.20
Release:        %mkrel 2
Summary:        API library for interfacing MPD in the C, C++ & Objective C languages
Group:          System/Libraries
License:        BSD
Url:            http://www.musicpd.org/
Source0:        http://www.musicpd.org/download/libmpdclient/2/%{name}-%{version}.tar.xz
Source1:        http://www.musicpd.org/download/libmpdclient/2/%{name}-%{version}.tar.xz.sig
BuildRequires:  doxygen
BuildRequires:	meson
BuildRequires:	ninja

%description
A stable, documented, asynchronous API library for interfacing MPD in the C,
C++ & Objective C languages.

#-----------------------------------------------------------------------------

%package -n     %{libname}
Summary:        API library for interfacing MPD in the C, C++ & Objective C languages
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
A stable, documented, asynchronous API library for interfacing MPD in the C, 
C++ & Objective C languages.

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}

#-----------------------------------------------------------------------------

%package -n     %{develname}
Summary:        Devel headers for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       mpdclient-devel = %{version}-%{release}

%description -n %{develname}
Devel headers for libmpdclient.

%files -n %{develname}
%doc COPYING NEWS README*
%{_docdir}/%{name}/
%{_datadir}/vala/vapi/%{name}.vapi
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/mpd/
%{_libdir}/%{name}.so

#-----------------------------------------------------------------------------

%prep
%setup -q

%build
%meson
%ninja_build -C build

%install
%ninja_install -C build

# we don't want these
find %{buildroot} -name '*.la' -delete


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 2.20-2.mga9
+ Revision: 1833203
- Mageia 9 Mass Rebuild

* Wed Jan 26 2022 mrambo3501 <mrambo3501> 2.20-1.mga9
+ Revision: 1769905
- version 2.20

* Sun Jul 12 2020 zezinho <zezinho> 2.19-2.mga8
+ Revision: 1605334
- new version 2.19

* Thu Feb 20 2020 umeabot <umeabot> 2.18-2.mga8
+ Revision: 1547342
- Mageia 8 Mass Rebuild

* Mon Feb 03 2020 zezinho <zezinho> 2.18-1.mga8
+ Revision: 1486678
- new version

* Thu Jan 09 2020 zezinho <zezinho> 2.17-1.mga8
+ Revision: 1477408
- new version

* Thu Apr 18 2019 umeabot <umeabot> 2.16-2.mga7
+ Revision: 1392789
- Rebuild with meson 0.50.1

* Fri Oct 26 2018 zezinho <zezinho> 2.16-1.mga7
+ Revision: 1326013
- new version 2.16

* Sun Sep 23 2018 umeabot <umeabot> 2.14-2.mga7
+ Revision: 1299013
- Mageia 7 Mass Rebuild

* Wed Feb 21 2018 kekepower <kekepower> 2.14-1.mga7
+ Revision: 1203839
- Update to version 2.14

* Tue May 23 2017 luigiwalser <luigiwalser> 2.11-1.mga6
+ Revision: 1104162
- 2.11

* Tue May 10 2016 tv <tv> 2.10-1.mga6
+ Revision: 1012013
- new release

* Mon Feb 15 2016 umeabot <umeabot> 2.9-2.mga6
+ Revision: 961098
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 daviddavid <daviddavid> 2.9-1.mga6
+ Revision: 895281
- new version: 2.9
- update URL and Source URL
- update file list

* Wed Oct 15 2014 umeabot <umeabot> 2.7-6.mga5
+ Revision: 738892
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.7-5.mga5
+ Revision: 726772
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.7-4.mga5
+ Revision: 681618
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.7-3.mga4
+ Revision: 507263
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.7-2.mga3
+ Revision: 357804
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 07 2012 shlomif <shlomif> 2.7-1.mga3
+ Revision: 256963
- New version: 2.7

* Mon Jan 23 2012 fwang <fwang> 2.6-1.mga2
+ Revision: 200246
- new version 2.6

* Thu Mar 24 2011 boklm <boklm> 2.4-2.mga1
+ Revision: 76177
- rebuild for bug #497

* Tue Mar 22 2011 obgr_seneca <obgr_seneca> 2.4-1.mga1
+ Revision: 75547
- new version 2.4
- cleaned up spec
- removed buildroot tag
- changed url

* Sun Jan 09 2011 shikamaru <shikamaru> 2.3-1.mga1
+ Revision: 4311
- imported package libmpdclient


* Sun Aug 08 2010 Rémy Clouard <shikamaru@mandriva.org> 2.3-1mdv2011.0
+ Revision: 567657
- bump release
- fix Source URL
- remove tabs

* Sun Jan 10 2010 Rémy Clouard <shikamaru@mandriva.org> 2.1-1mdv2010.1
+ Revision: 488717
- bump release

* Wed Nov 04 2009 Rémy Clouard <shikamaru@mandriva.org> 2.0-1mdv2010.1
+ Revision: 460414
- import libmpdclient

